Bug 1299828 - [abrt] docker-compose: parser.py:439:parse_block_mapping_key:ParserError: while parsing a block mapping
[abrt] docker-compose: parser.py:439:parse_block_mapping_key:ParserError: whi...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: docker-compose (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Hampton
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0a36c933f4752b5321cf9aaa530...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 05:57 EST by Allan Poulsen
Modified: 2016-02-05 05:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-05 05:12:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.93 KB, text/plain)
2016-01-19 05:58 EST, Allan Poulsen
no flags Details
File: environ (5.42 KB, text/plain)
2016-01-19 05:58 EST, Allan Poulsen
no flags Details

  None (edit)
Description Allan Poulsen 2016-01-19 05:57:58 EST
Version-Release number of selected component:
docker-compose-1.4.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python2 /usr/bin/docker-compose -f demo-compose.yml up
dso_list:       PyYAML-3.11-9.fc23.x86_64
executable:     /usr/bin/docker-compose
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
parser.py:439:parse_block_mapping_key:ParserError: while parsing a block mapping
  in "./demo-compose.yml", line 1, column 1
expected <block end>, but found '<block mapping start>'
  in "./demo-compose.yml", line 3, column 3

Traceback (most recent call last):
  File "/usr/bin/docker-compose", line 9, in <module>
    load_entry_point('docker-compose==1.4.2', 'console_scripts', 'docker-compose')()
  File "/usr/lib/python2.7/site-packages/compose/cli/main.py", line 39, in main
    command.sys_dispatch()
  File "/usr/lib/python2.7/site-packages/compose/cli/docopt_command.py", line 21, in sys_dispatch
    self.dispatch(sys.argv[1:], None)
  File "/usr/lib/python2.7/site-packages/compose/cli/command.py", line 27, in dispatch
    super(Command, self).dispatch(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/compose/cli/docopt_command.py", line 24, in dispatch
    self.perform_command(*self.parse(argv, global_options))
  File "/usr/lib/python2.7/site-packages/compose/cli/command.py", line 57, in perform_command
    verbose=options.get('--verbose'))
  File "/usr/lib/python2.7/site-packages/compose/cli/command.py", line 73, in get_project
    config_details = config.find(self.base_dir, config_path)
  File "/usr/lib/python2.7/site-packages/compose/config.py", line 107, in find
    return ConfigDetails(load_yaml(filename), os.path.dirname(filename), filename)
  File "/usr/lib/python2.7/site-packages/compose/config.py", line 558, in load_yaml
    return yaml.safe_load(fh)
  File "/usr/lib64/python2.7/site-packages/yaml/__init__.py", line 93, in safe_load
    return load(stream, SafeLoader)
  File "/usr/lib64/python2.7/site-packages/yaml/__init__.py", line 71, in load
    return loader.get_single_data()
  File "/usr/lib64/python2.7/site-packages/yaml/constructor.py", line 37, in get_single_data
    node = self.get_single_node()
  File "/usr/lib64/python2.7/site-packages/yaml/composer.py", line 36, in get_single_node
    document = self.compose_document()
  File "/usr/lib64/python2.7/site-packages/yaml/composer.py", line 55, in compose_document
    node = self.compose_node(None, None)
  File "/usr/lib64/python2.7/site-packages/yaml/composer.py", line 84, in compose_node
    node = self.compose_mapping_node(anchor)
  File "/usr/lib64/python2.7/site-packages/yaml/composer.py", line 127, in compose_mapping_node
    while not self.check_event(MappingEndEvent):
  File "/usr/lib64/python2.7/site-packages/yaml/parser.py", line 98, in check_event
    self.current_event = self.state()
  File "/usr/lib64/python2.7/site-packages/yaml/parser.py", line 439, in parse_block_mapping_key
    "expected <block end>, but found %r" % token.id, token.start_mark)
ParserError: while parsing a block mapping
  in "./demo-compose.yml", line 1, column 1
expected <block end>, but found '<block mapping start>'
  in "./demo-compose.yml", line 3, column 3

Local variables in innermost frame:
token: BlockMappingStartToken()
self: <yaml.loader.SafeLoader object at 0x7f7ecacb4a50>
Comment 1 Allan Poulsen 2016-01-19 05:58:02 EST
Created attachment 1116140 [details]
File: backtrace
Comment 2 Allan Poulsen 2016-01-19 05:58:04 EST
Created attachment 1116141 [details]
File: environ
Comment 3 Michael Hampton 2016-02-04 20:35:55 EST
It doesn't seem to like your yaml file. Is its syntax correct?

Can you reproduce this on the current version of docker-compose?
Comment 4 Allan Poulsen 2016-02-05 05:12:29 EST
After upgrading to docker-compose-1.5.2-4.fc23 I can not recreate the error.
Closing.

Note You need to log in before you can comment on or make changes to this bug.